### Method

# Xdp Portal dynamic_launcher_prepare_install_finish

#### Declaration [src]

    GVariant*
    xdp_portal_dynamic_launcher_prepare_install_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the prepare-install-launcher request, and returns `GVariant` dictionary with the following information:

- name s: the name chosen by the user (or the provided name if the editable_name option was not set)
- token s: a token that can by used in a `xdp_portal_dynamic_launcher_install()` call to complete the installation.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

A `GVariant` dictionary with launcher information.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.